We welcome your contributions to help improve Publify. Please follow the
guidelines below.

## Bug reports

When reporting a bug, please include as much of the following as you can:

* Version of Publify you are running
* Page(s) the bug occurs
* Steps taken to reproduce the error or bug
* Environment settings and versions you are using
* Any relevant error logs or screenshots

If you're unsure about any of these, please still create an issue and we will
see if we can still resolve the problem.

## Pull Requests

We welcome pull requests. Please check first if the problem you're solving is
fixed in master, or if the desired feature is already in development. Before
starting a large feature, please open a ticket first so we can discuss it.

When sending a pull request, please follow **all of** these steps:

1. Fork the repo
2. Make sure you start from the latest master
3. Create a branch for your feature or fix
4. Create specs to describe the desired behavior or expose the problem
5. Implement your feature or fix
6. Create an entry for your change in CHANGELOG.md
7. Ensure `bundle exec rake` passes before sending your pull request

If you're not sure how to test the problem, or what the best solution is,
please open an issue first so that we can discuss the best approach.
